---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci cancel pipeline`

Cancel CI/CD pipelines.

```plaintext
glab ci cancel pipeline <id> [flags]
```

## Examples

```console
$ glab ci cancel pipeline 1504182795
$ glab ci cancel pipeline 1504182795,1504182796
$ glab ci cancel pipeline "1504182795 1504182796"
$ glab ci cancel pipeline 1504182795,1504182796 --dry-run

```

## Options

```plaintext
      --dry-run   Simulates process, but does not cancel anything.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
